
SLASH_STATLIST1 = "/statlist"
SlashCmdList["STATLIST"] = function (editBox, msg)
	local stat1,stat2,stat3 = nil
	if msg == "" then
		StatList_out("Usage: " .."|cffffffff".. "/statlist \"<string1>\" \"<string2>\" \"<string3>\"" .."|r","current")
		StatList_out("It's just a simple search that looks for 3 strings, right now the search is english-only but the mod names it returns should be in the language your game client is using.", "current")
		StatList_out("ex: " .."|cffffffff".. "/statlist \"str\" \"stamina\" \"dexterity\"" .."|r".. " to search for mods with strength, stamina, and dexterity", "current")
		StatList_out("ex: " .."|cffffffff".. "/statlist \"sta\" \"physical attack\"" .."|r".. " to search for mods with stamina and physical attack", "current")
		StatList_out("\"physical attack\" must be complete-segments not partial, i.e. \"phys att\" would not work.", "current")
		StatList_out("\"physical att\" or \"phys\" \"att\" would work (but the latter would take up 2 of the 3 strings)", "current")
	elseif msg:match("^\"([%w%s]*)\" \"([%w%s]*)\" \"([%w%s]*)\"") then
		stat1,stat2,stat3 = msg:lower():match("^\"([%w%s]*)\" \"([%w%s]*)\" \"([%w%s]*)\"")
		StatList_Search(stat1,stat2,stat3)
	elseif msg:match("^\"([%w%s]*)\" \"([%w%s]*)\"") then
		stat1,stat2 = msg:lower():match("^\"([%w%s]*)\" \"([%w%s]*)\"")
		StatList_Search(stat1,stat2)
	elseif msg:match("^\"([%w%s]*)\"") then
		stat1 = msg:lower():match("^\"([%w%s]*)\"")
		StatList_Search(stat1)
	end
end

function StatList_out(msg,chatframe)
	if (msg == nil) then
		msg = "Error. Tried to print nil message"
	end
	if chatframe == nil then
		DEFAULT_CHAT_FRAME:AddMessage(msg)
	elseif chatframe == "all"then
		for n=1,10 do 
			getglobal("ChatFrame"..n):AddMessage(msg)
		end
	elseif chatframe == "current"then
		for n=1,10 do 
			if getglobal("ChatFrame"..n):IsVisible() then
				getglobal("ChatFrame"..n):AddMessage(msg)
			end
		end
	end
end

function StatList_Search(stat1, stat2, stat3)
	StatList_out("--------------------", "current")
	StatList_out("Searching...", "current")
	local x = 0
	for id, attrib in pairs(StatList_mods) do
		if stat1 and stat2 and stat3 then
			if attrib:lower():match(stat1) and
			   attrib:lower():match(stat2) and
                           attrib:lower():match(stat3) then
				StatList_out(TEXT("Sys"..id.."_name") .. " : ".. attrib, "current")
				x=x+1
			end
		elseif stat1 and stat2 and (not stat3) then
			if attrib:lower():match(stat1) and attrib:lower():match(stat2) then
				StatList_out(TEXT("Sys"..id.."_name") .. " : ".. attrib, "current")
				x=x+1
			end
		elseif stat1 and (not stat2) and (not stat3) then
			if attrib:lower():match(stat1) then
				StatList_out(TEXT("Sys"..id.."_name") .. " : ".. attrib, "current")
				x=x+1
			end
		end
	end
	StatList_out("Found "..x.." matches..", "current")
	StatList_out("Note: Some mods may not actually be found on currently available gear", "current")
	StatList_out("--------------------", "current")
end

function StatList_OnLoad(this)
	StatList_out("StatList loaded", "all")

	-- Register for Events we care about
	this:RegisterEvent("VARIABLES_LOADED")
end

function StatList_OnEvent(this, event, arg1, arg2, arg3, arg4)
	if ( event == "VARIABLES_LOADED") then
	end
end

StatList_mods = {
	[511685] = "+75 Maximum MP +75 Physical Attack",
	[510150] = "+126 Accuracy",
	[512709] = "+47 Stamina +305 Maximum HP",
	[511686] = "+100 Maximum MP +100 Physical Attack",
	[510151] = "+138 Accuracy",
	[512710] = "+47 Intelligence +47 Stamina",
	[511687] = "+150 Maximum MP +150 Physical Attack",
	[510152] = "+150 Accuracy",
	[512711] = "+47 Wisdom +305 Maximum MP",
	[511688] = "+200 Maximum MP +200 Physical Attack",
	[510153] = "+162 Accuracy",
	[512712] = "+47 Strength +47 Stamina",
	[511689] = "+300 Maximum MP +300 Physical Attack",
	[512201] = "+41 Dexterity +41 Intelligence",
	[512713] = "+47 Stamina +221 Defense",
	[512202] = "+52 Dexterity +52 Intelligence",
	[512714] = "+47 Intelligence +104 Magical Attack",
	[512203] = "+63 Dexterity +63 Intelligence",
	[512715] = "+47 Stamina +221 Magical Defense",
	[511180] = "+3 Stamina +10 Defense",
	[512204] = "+74 Dexterity +74 Intelligence",
	[512716] = "+47 Stamina +305 Maximum MP",
	[511181] = "+5 Stamina +15 Defense",
	[512205] = "+85 Dexterity +85 Intelligence",
	[512717] = "+47 Strength +305 Maximum HP",
	[511182] = "+10 Stamina +20 Defense",
	[512718] = "+47 Strength +104 Magical Attack",
	[511183] = "+15 Stamina +30 Defense",
	[512719] = "+47 Strength +221 Defense",
	[511184] = "+20 Stamina +50 Defense",
	[512720] = "+47 Intelligence +221 Magical Defense",
	[511185] = "+30 Stamina +75 Defense",
	[512721] = "+47 Intelligence +305 Maximum MP",
	[511186] = "+50 Stamina +100 Defense",
	[512210] = "+30 Wisdom +30 Strength",
	[512722] = "+47 Intelligence +47 Wisdom",
	[511187] = "+75 Stamina +150 Defense",
	[512211] = "+41 Wisdom +41 Strength",
	[512723] = "+47 Wisdom +104 Magical Attack",
	[511188] = "+100 Stamina +200 Defense",
	[511700] = "+10 Maximum MP +10 Magical Attack",
	[512212] = "+52 Wisdom +52 Strength",
	[512724] = "+47 Wisdom +305 Maximum HP",
	[511189] = "+150 Stamina +300 Defense",
	[511701] = "+15 Maximum MP +15 Magical Attack",
	[512213] = "+63 Wisdom +63 Strength",
	[512725] = "+47 Stamina +47 Dexterity",
	[511702] = "+20 Maximum MP +20 Magical Attack",
	[512214] = "+74 Wisdom +74 Strength",
	[512726] = "+47 Dexterity +305 Maximum HP",
	[511703] = "+30 Maximum MP +30 Magical Attack",
	[512215] = "+85 Wisdom +85 Strength",
	[512727] = "+47 Dexterity +104 Physical Attack",
	[511704] = "+50 Maximum MP +50 Magical Attack",
	[512728] = "+47 Dexterity +221 Magical Defense",
	[511705] = "+75 Maximum MP +75 Magical Attack",
	[512729] = "+47 Dexterity +221 Defense",
	[511706] = "+100 Maximum MP +100 Magical Attack",
	[512730] = "+47 Strength +47 Dexterity",
	[511707] = "+150 Maximum MP +150 Magical Attack",
	[512731] = "+47 Dexterity +104 Magical Attack",
	[511708] = "+200 Maximum MP +200 Magical Attack",
	[512220] = "+30 Intelligence +90 Magical Defense",
	[512732] = "+47 Intelligence +221 Defense",
	[511709] = "+300 Maximum MP +300 Magical Attack",
	[512221] = "+41 Intelligence +123 Magical Defense",
	[512733] = "+47 Strength +221 Magical Defense",
	[512222] = "+52 Intelligence +156 Magical Defense",
	[512734] = "+47 Stamina +104 Physical Attack",
	[512223] = "+63 Intelligence +189 Magical Defense",
	[511200] = "+2 Strength +2 Dexterity",
	[512224] = "+74 Intelligence +222 Magical Defense",
	[512736] = "+47 Stamina +47 Dexterity",
	[511201] = "+3 Strength +3 Dexterity",
	[512225] = "+85 Intelligence +255 Magical Defense",
	[512737] = "+47 Strength +47 Dexterity",
	[511202] = "+8 Strength +8 Dexterity",
	[512738] = "+47 Strength +47 Stamina",
	[511203] = "+10 Strength +10 Dexterity",
	[512739] = "+47 Intelligence +47 Wisdom",
	[511204] = "+15 Strength +15 Dexterity",
	[512740] = "+47 Dexterity +104 Physical Attack",
	[511205] = "+20 Strength +20 Dexterity",
	[512741] = "+47 Stamina +47 Wisdom",
	[511206] = "+30 Strength +30 Dexterity",
	[512230] = "+30 Intelligence +60 Physical Attack",
	[512742] = "+47 Stamina +104 Physical Attack",
	[511207] = "+45 Strength +45 Dexterity",
	[512231] = "+41 Intelligence +82 Physical Attack",
	[512743] = "+47 Strength +305 Maximum HP",
	[511208] = "+60 Strength +60 Dexterity",
	[511720] = "+10 Maximum HP +10 Maximum MP",
	[512232] = "+52 Intelligence +104 Physical Attack",
	[512744] = "+47 Stamina +221 Defense",
	[511209] = "+75 Strength +75 Dexterity",
	[511721] = "+15 Maximum HP +15 Maximum MP",
	[512233] = "+63 Intelligence +126 Physical Attack",
	[512745] = "+47 Dexterity +305 Maximum HP",
	[511722] = "+20 Maximum HP +20 Maximum MP",
	[512234] = "+74 Intelligence +148 Physical Attack",
	[512746] = "+47 Stamina +104 Magical Attack",
	[511723] = "+30 Maximum HP +30 Maximum MP",
	[512235] = "+85 Intelligence +170 Physical Attack",
	[512747] = "+47 Intelligence +221 Magical Defense",
	[511724] = "+50 Maximum HP +50 Maximum MP",
	[512748] = "+47 Wisdom +305 Maximum HP",
	[511725] = "+75 Maximum HP +75 Maximum MP",
	[512749] = "+47 Stamina +221 Magical Defense",
	[511726] = "+100 Maximum HP +100 Maximum MP",
	[512750] = "+47 Intelligence +305 Maximum MP",
	[511727] = "+150 Maximum HP +150 Maximum MP",
	[512751] = "+47 Stamina +305 Maximum HP",
	[511728] = "+200 Maximum HP +200 Maximum MP",
	[512240] = "+30 Intelligence +90 Defense",
	[512752] = "+47 Strength +104 Physical Attack",
	[511729] = "+300 Maximum HP +300 Maximum MP",
	[512241] = "+41 Intelligence +123 Defense",
	[512753] = "+54 Strength +126 Physical Attack",
	[512242] = "+52 Intelligence +156 Defense",
	[512754] = "+54 Strength +54 Stamina",
	[512243] = "+63 Intelligence +189 Defense",
	[512755] = "+54 Stamina +274 Defense",
	[511220] = "+3 Strength +10 Physical Attack",
	[512244] = "+74 Intelligence +222 Defense",
	[512756] = "+54 Dexterity +126 Physical Attack",
	[511221] = "+5 Strength +15 Physical Attack",
	[512245] = "+85 Intelligence +255 Defense",
	[512757] = "+54 Stamina +54 Dexterity",
	[511222] = "+10 Strength +20 Physical Attack",
	[512758] = "+54 Wisdom +293 Defense",
	[511223] = "+15 Strength +30 Physical Attack",
	[510200] = "+6 Dodge Rate",
	[512759] = "+54 Intelligence +54 Stamina",
	[511224] = "+20 Strength +50 Physical Attack",
	[510201] = "+18 Dodge Rate",
	[512760] = "+54 Wisdom +274 Magical Defense",
	[511225] = "+30 Strength +75 Physical Attack",
	[510202] = "+30 Dodge Rate",
	[512761] = "+54 Stamina +54 Wisdom",
	[511226] = "+50 Strength +100 Physical Attack",
	[510203] = "+42 Dodge Rate",
	[512762] = "+54 Wisdom +365 Maximum MP",
	[511227] = "+75 Strength +150 Physical Attack",
	[510204] = "+54 Dodge Rate",
	[512763] = "+54 Strength +126 Magical Attack",
	[511228] = "+100 Strength +200 Physical Attack",
	[511740] = "+10 Maximum HP +3 Wisdom",
	[510205] = "+66 Dodge Rate",
	[512764] = "+54 Stamina +126 Physical Attack",
	[511229] = "+150 Strength +300 Physical Attack",
	[511741] = "+15 Maximum HP +5 Wisdom",
	[510206] = "+78 Dodge Rate",
	[512765] = "+54 Wisdom +126 Magical Attack",
	[511742] = "+20 Maximum HP +10 Wisdom",
	[510207] = "+90 Dodge Rate",
	[512766] = "+54 Intelligence +54 Wisdom",
	[511743] = "+30 Maximum HP +15 Wisdom",
	[510208] = "+102 Dodge Rate",
	[512767] = "+54 Strength +54 Dexterity",
	[511744] = "+50 Maximum HP +20 Wisdom",
	[510209] = "+114 Dodge Rate",
	[512768] = "+57 Strength +44 Stamina +32 Dexterity",
	[511745] = "+75 Maximum HP +30 Wisdom",
	[510210] = "+126 Dodge Rate",
	[512769] = "+57 Intelligence +44 Wisdom +32 Stamina",
	[511746] = "+100 Maximum HP +50 Wisdom",
	[510211] = "+138 Dodge Rate",
	[512770] = "+57 Wisdom +44 Intelligence +32 Stamina",
	[511747] = "+150 Maximum HP +75 Wisdom",
	[510212] = "+150 Dodge Rate",
	[512771] = "+57 Stamina +44 Strength +32 Dexterity",
	[511748] = "+200 Maximum HP +100 Wisdom",
	[510213] = "+162 Dodge Rate",
	[512772] = "+57 Stamina +44 Strength +32 Intelligence",
	[511749] = "+300 Maximum HP +150 Wisdom",
	[510214] = "+174 Dodge Rate",
	[512773] = "+57 Stamina +44 Wisdom +32 Intelligence",
	[512262] = "+52 Intelligence +260 Maximum MP",
	[512774] = "+57 Stamina +44 Dexterity +32 Strength",
	[512263] = "+63 Intelligence +315 Maximum MP",
	[512775] = "+57 Intelligence +44 Stamina +32 Wisdom",
	[511240] = "+3 Strength +10 Defense",
	[512264] = "+74 Intelligence +370 Maximum MP",
	[512776] = "+57 Strength +44 Intelligence +32 Stamina",
	[511241] = "+5 Strength +15 Defense",
	[512265] = "+85 Intelligence +425 Maximum MP",
	[512777] = "+57 Dexterity +44 Strength +32 Stamina",
	[511242] = "+10 Strength +20 Defense",
	[512778] = "+57 Dexterity +44 Stamina +32 Strength",
	[511243] = "+15 Strength +30 Defense",
	[512779] = "+57 Strength +44 Dexterity +32 Stamina",
	[511244] = "+20 Strength +50 Defense",
	[512780] = "+54 Strength +293 Defense",
	[511245] = "+30 Strength +75 Defense",
	[512781] = "+54 Intelligence +126 Magical Attack",
	[511246] = "+50 Strength +100 Defense",
	[512270] = "+30 Stamina +90 Magical Defense",
	[512782] = "+54 Dexterity +293 Defense",
	[511247] = "+75 Strength +150 Defense",
	[512271] = "+41 Stamina +123 Magical Defense",
	[512783] = "+54 Intelligence +293 Defense",
	[511248] = "+100 Strength +200 Defense",
	[511760] = "+10 Maximum MP +50 Healing Power Increase Points",
	[512272] = "+52 Stamina +156 Magical Defense",
	[512784] = "+54 Strength +54 Dexterity",
	[511249] = "+150 Strength +300 Defense",
	[511761] = "+15 Maximum MP +70 Healing Power Increase Points",
	[512273] = "+63 Stamina +189 Magical Defense",
	[512785] = "+54 Stamina +365 Maximum HP",
	[511762] = "+20 Maximum MP +90 Healing Power Increase Points",
	[512274] = "+74 Stamina +222 Magical Defense",
	[512786] = "+54 Stamina +274 Magical Defense",
	[511763] = "+30 Maximum MP +120 Healing Power Increase Points",
	[512275] = "+85 Stamina +255 Magical Defense",
	[512787] = "+54 Dexterity +365 Maximum HP",
	[511764] = "+50 Maximum MP +150 Healing Power Increase Points",
	[512788] = "+54 Strength +365 Maximum HP",
	[511765] = "+75 Maximum MP +180 Healing Power Increase Points",
	[512789] = "+54 Intelligence +365 Maximum MP",
	[511766] = "+100 Maximum MP +220 Healing Power Increase Points",
	[511767] = "+150 Maximum MP +260 Healing Power Increase Points",
	[511768] = "+200 Maximum MP +310 Healing Power Increase Points",
	[512280] = "+30 Stamina +90 Defense",
	[511769] = "+300 Maximum MP +360 Healing Power Increase Points",
	[512281] = "+41 Stamina +123 Defense",
	[512282] = "+52 Stamina +156 Defense",
	[512283] = "+63 Stamina +189 Defense",
	[511260] = "+3 Strength +10 Magical Defense",
	[512284] = "+74 Stamina +222 Defense",
	[511261] = "+5 Strength +15 Magical Defense",
	[512285] = "+85 Stamina +255 Defense",
	[511262] = "+10 Strength +20 Magical Defense",
	[511263] = "+15 Strength +30 Magical Defense",
	[511264] = "+20 Strength +50 Magical Defense",
	[511265] = "+30 Strength +75 Magical Defense",
	[511266] = "+50 Strength +100 Magical Defense",
	[512290] = "+30 Stamina +60 Physical Attack",
	[511267] = "+75 Strength +150 Magical Defense",
	[512291] = "+41 Stamina +82 Physical Attack",
	[511268] = "+100 Strength +200 Magical Defense",
	[511780] = "+10 Maximum HP +10 Magical Defense",
	[512292] = "+52 Stamina +104 Physical Attack",
	[511269] = "+150 Strength +300 Magical Defense",
	[511781] = "+15 Maximum HP +15 Magical Defense",
	[512293] = "+63 Stamina +126 Physical Attack",
	[511782] = "+20 Maximum HP +20 Magical Defense",
	[512294] = "+74 Stamina +148 Physical Attack",
	[511783] = "+30 Maximum HP +30 Magical Defense",
	[512295] = "+85 Stamina +170 Physical Attack",
	[511784] = "+50 Maximum HP +50 Magical Defense",
	[511785] = "+75 Maximum HP +75 Magical Defense",
	[511786] = "+100 Maximum HP +100 Magical Defense",
	[511787] = "+150 Maximum HP +150 Magical Defense",
	[511788] = "+200 Maximum HP +200 Magical Defense",
	[512300] = "+30 Stamina +150 Maximum MP",
	[511789] = "+300 Maximum HP +300 Magical Defense",
	[512301] = "+41 Stamina +205 Maximum MP",
	[512302] = "+52 Stamina +260 Maximum MP",
	[512303] = "+63 Stamina +315 Maximum MP",
	[511280] = "+2 Strength +2 Stamina",
	[512304] = "+74 Stamina +370 Maximum MP",
	[511281] = "+3 Strength +3 Stamina",
	[512305] = "+85 Stamina +425 Maximum MP",
	[511282] = "+8 Strength +8 Stamina",
	[511283] = "+10 Strength +10 Stamina",
	[511284] = "+15 Strength +15 Stamina",
	[511285] = "+20 Strength +20 Stamina",
	[511286] = "+30 Strength +30 Stamina",
	[512310] = "+30 Stamina +60 Magical Attack",
	[511287] = "+45 Strength +45 Stamina",
	[512311] = "+41 Stamina +82 Magical Attack",
	[511288] = "+60 Strength +60 Stamina",
	[511800] = "+10 Maximum HP +10 Physical Attack",
	[512312] = "+52 Stamina +104 Magical Attack",
	[511289] = "+75 Strength +75 Stamina",
	[511801] = "+15 Maximum HP +15 Physical Attack",
	[512313] = "+63 Stamina +126 Magical Attack",
	[512825] = "+43 Strength +98 Physical Attack",
	[511802] = "+20 Maximum HP +20 Physical Attack",
	[512314] = "+74 Stamina +148 Magical Attack",
	[512826] = "+43 Stamina +265 Maximum HP",
	[511803] = "+30 Maximum HP +30 Physical Attack",
	[512315] = "+85 Stamina +170 Magical Attack",
	[512827] = "+43 Intelligence +43 Stamina",
	[511804] = "+50 Maximum HP +50 Physical Attack",
	[512828] = "+43 Wisdom +265 Maximum MP",
	[511805] = "+75 Maximum HP +75 Physical Attack",
	[512829] = "+43 Strength +43 Stamina",
	[511806] = "+100 Maximum HP +100 Physical Attack",
	[512830] = "+43 Stamina +163 Defense",
	[511807] = "+150 Maximum HP +150 Physical Attack",
	[512831] = "+43 Intelligence +98 Magical Attack",
	[511808] = "+200 Maximum HP +200 Physical Attack",
	[512320] = "+30 Strength +150 Maximum HP",
	[512832] = "+43 Stamina +163 Magical Defense",
	[511809] = "+300 Maximum HP +300 Physical Attack",
	[512321] = "+41 Strength +205 Maximum HP",
	[512833] = "+43 Stamina +265 Maximum MP",
	[512322] = "+52 Strength +260 Maximum HP",
	[512834] = "+43 Strength +265 Maximum HP",
	[512323] = "+63 Strength +315 Maximum HP",
	[512835] = "+43 Strength +98 Magical Attack",
	[511300] = "+2 Dexterity +2 Intelligence",
	[512324] = "+74 Strength +370 Maximum HP",
	[512836] = "+43 Strength +163 Defense",
	[511301] = "+3 Dexterity +3 Intelligence",
	[512325] = "+85 Strength +420 Maximum HP",
	[512837] = "+43 Intelligence +163 Magical Defense",
	[511302] = "+8 Dexterity +8 Intelligence",
	[512838] = "+43 Intelligence +265 Maximum MP",
	[511303] = "+10 Dexterity +10 Intelligence",
	[512839] = "+43 Intelligence +43 Wisdom",
	[511304] = "+15 Dexterity +15 Intelligence",
	[512840] = "+43 Wisdom +98 Magical Attack",
	[511305] = "+20 Dexterity +20 Intelligence",
	[512841] = "+43 Wisdom +265 Maximum HP",
	[511306] = "+30 Dexterity +30 Intelligence",
	[512330] = "+30 Strength +150 Maximum MP",
	[512842] = "+43 Stamina +43 Dexterity",
	[511307] = "+45 Dexterity +45 Intelligence",
	[512331] = "+41 Strength +205 Maximum MP",
	[512843] = "+43 Dexterity +265 Maximum HP",
	[511308] = "+60 Dexterity +60 Intelligence",
	[511820] = "+10 Maximum HP +10 Magical Attack",
	[512332] = "+52 Strength +260 Maximum MP",
	[512844] = "+43 Dexterity +98 Physical Attack",
	[511309] = "+75 Dexterity +75 Intelligence",
	[511821] = "+15 Maximum HP +15 Magical Attack",
	[512333] = "+63 Strength +315 Maximum MP",
	[512845] = "+43 Dexterity +163 Magical Defense",
	[511822] = "+20 Maximum HP +20 Magical Attack",
	[512334] = "+74 Strength +370 Maximum MP",
	[512846] = "+43 Dexterity +163 Defense",
	[511823] = "+30 Maximum HP +30 Magical Attack",
	[512335] = "+85 Strength +425 Maximum MP",
	[512847] = "+43 Strength +43 Dexterity",
	[511824] = "+50 Maximum HP +50 Magical Attack",
	[512848] = "+43 Dexterity +98 Magical Attack",
	[511825] = "+75 Maximum HP +75 Magical Attack",
	[512849] = "+43 Intelligence +163 Defense",
	[511826] = "+100 Maximum HP +100 Magical Attack",
	[512850] = "+43 Strength +163 Magical Defense",
	[511827] = "+150 Maximum HP +150 Magical Attack",
	[512851] = "+43 Stamina +98 Physical Attack",
	[511828] = "+200 Maximum HP +200 Magical Attack",
	[512340] = "+30 Strength +90 Magical Defense",
	[512852] = "+43 Stamina +265 Maximum HP",
	[511829] = "+300 Maximum HP +300 Magical Attack",
	[512341] = "+41 Strength +123 Magical Defense",
	[512853] = "+47 Wisdom +221 Defense",
	[512342] = "+52 Strength +156 Magical Defense",
	[512854] = "+47 Wisdom +221 Magical Defense",
	[512343] = "+63 Strength +189 Magical Defense",
	[512855] = "+47 Stamina +104 Magical Attack",
	[511320] = "+10 Maximum MP +10 Magical Defense",
	[512344] = "+74 Strength +222 Magical Defense",
	[512856] = "+47 Wisdom +104 Physical Attack",
	[511321] = "+15 Maximum MP +15 Magical Defense",
	[512345] = "+85 Strength +255 Magical Defense",
	[511322] = "+20 Maximum MP +20 Magical Defense",
	[512858] = "+47 Intelligence +104 Physical Attack",
	[511323] = "+30 Maximum MP +30 Magical Defense",
	[510300] = "+1 All Attributes",
	[512859] = "+47 Strength +305 Maximum MP",
	[511324] = "+50 Maximum MP +50 Magical Defense",
	[510301] = "+2 All Attributes",
	[512860] = "+47 Dexterity +305 Maximum MP",
	[511325] = "+75 Maximum MP +75 Magical Defense",
	[510302] = "+3 All Attributes",
	[511326] = "+100 Maximum MP +100 Magical Defense",
	[510303] = "+4 All Attributes",
	[511327] = "+150 Maximum MP +150 Magical Defense",
	[510304] = "+5 All Attributes",
	[511328] = "+200 Maximum MP +200 Magical Defense",
	[511840] = "+10 Maximum HP +50 Healing Power Increase Points",
	[510305] = "+6 All Attributes",
	[512864] = "+57 Strength +114 Physical Attack",
	[511329] = "+300 Maximum MP +300 Magical Defense",
	[511841] = "+15 Maximum HP +70 Healing Power Increase Points",
	[510306] = "+8 All Attributes",
	[512865] = "+57 Dexterity +114 Physical Attack",
	[511842] = "+20 Maximum HP +90 Healing Power Increase Points",
	[510307] = "+10 All Attributes",
	[512866] = "+57 Dexterity +370 Maximum HP",
	[511843] = "+30 Maximum HP +120 Healing Power Increase Points",
	[510308] = "+13 All Attributes",
	[510820] = "+3 Dexterity +10 Maximum MP",
	[511844] = "+50 Maximum HP +150 Healing Power Increase Points",
	[510309] = "+16 All Attributes",
	[510821] = "+5 Dexterity +15 Maximum MP",
	[511845] = "+75 Maximum HP +180 Healing Power Increase Points",
	[510310] = "+19 All Attributes",
	[510822] = "+10 Dexterity +20 Maximum MP",
	[511846] = "+100 Maximum HP +220 Healing Power Increase Points",
	[510311] = "+24 All Attributes",
	[510823] = "+15 Dexterity +30 Maximum MP",
	[511847] = "+150 Maximum HP +260 Healing Power Increase Points",
	[510824] = "+20 Dexterity +50 Maximum MP",
	[511848] = "+200 Maximum HP +310 Healing Power Increase Points",
	[512360] = "+30 Strength +60 Magical Attack",
	[510825] = "+30 Dexterity +75 Maximum MP",
	[511849] = "+300 Maximum HP +360 Healing Power Increase Points",
	[512361] = "+41 Strength +82 Magical Attack",
	[510826] = "+50 Dexterity +100 Maximum MP",
	[512362] = "+52 Strength +104 Magical Attack",
	[510827] = "+75 Dexterity +150 Maximum MP",
	[512363] = "+63 Strength +126 Magical Attack",
	[510828] = "+100 Dexterity +200 Maximum MP",
	[511340] = "+10 Maximum MP +3 Wisdom",
	[512364] = "+74 Strength +148 Magical Attack",
	[510829] = "+150 Dexterity +300 Maximum MP",
	[511341] = "+15 Maximum MP +5 Wisdom",
	[512365] = "+85 Strength +170 Magical Attack",
	[512877] = "+57 Intelligence +370 Maximum HP",
	[511342] = "+20 Maximum MP +10 Wisdom",
	[512878] = "+114 Magical Attack +313 Magical Defense",
	[511343] = "+30 Maximum MP +15 Wisdom",
	[510320] = "+3 Intelligence",
	[512879] = "+114 Magical Attack +313 Defense",
	[511344] = "+50 Maximum MP +20 Wisdom",
	[510321] = "+4 Intelligence",
	[512880] = "+57 Wisdom +114 Magical Attack",
	[511345] = "+75 Maximum MP +30 Wisdom",
	[510322] = "+6 Intelligence",
	[512881] = "+57 Wisdom +370 Maximum HP",
	[511346] = "+100 Maximum MP +50 Wisdom",
	[510323] = "+8 Intelligence",
	[512882] = "+57 Stamina +57 Wisdom",
	[511347] = "+150 Maximum MP +75 Wisdom",
	[510324] = "+10 Intelligence",
	[512883] = "+57 Wisdom +114 Physical Attack",
	[511348] = "+200 Maximum MP +100 Wisdom",
	[511860] = "+10 Physical Attack +10 Magical Attack",
	[510325] = "+13 Intelligence",
	[512884] = "+57 Strength +57 Wisdom",
	[511349] = "+300 Maximum MP +150 Wisdom",
	[511861] = "+15 Physical Attack +15 Magical Attack",
	[510326] = "+17 Intelligence",
	[512885] = "+57 Stamina +114 Physical Attack",
	[511862] = "+20 Physical Attack +20 Magical Attack",
	[510327] = "+22 Intelligence",
	[512886] = "+57 Stamina +57 Dexterity",
	[511863] = "+30 Physical Attack +30 Magical Attack",
	[510328] = "+28 Intelligence",
	[510840] = "+3 Dexterity +10 Physical Attack",
	[511864] = "+50 Physical Attack +50 Magical Attack",
	[510329] = "+35 Intelligence",
	[510841] = "+5 Dexterity +15 Physical Attack",
	[511865] = "+75 Physical Attack +75 Magical Attack",
	[510330] = "+45 Intelligence",
	[510842] = "+10 Dexterity +20 Physical Attack",
	[511866] = "+100 Physical Attack +100 Magical Attack",
	[510331] = "+56 Intelligence",
	[510843] = "+15 Dexterity +30 Physical Attack",
	[511867] = "+150 Physical Attack +150 Magical Attack",
	[510332] = "+67 Intelligence",
	[510844] = "+20 Dexterity +50 Physical Attack",
	[511868] = "+200 Physical Attack +200 Magical Attack",
	[510333] = "+78 Intelligence",
	[510845] = "+30 Dexterity +75 Physical Attack",
	[511869] = "+300 Physical Attack +300 Magical Attack",
	[510334] = "+89 Intelligence",
	[510846] = "+50 Dexterity +100 Physical Attack",
	[512382] = "+52 Dexterity +156 Defense",
	[510847] = "+75 Dexterity +150 Physical Attack",
	[512383] = "+63 Dexterity +189 Defense",
	[510848] = "+100 Dexterity +200 Physical Attack",
	[511360] = "+2 Stamina +2 Wisdom",
	[512384] = "+74 Dexterity +222 Defense",
	[510849] = "+150 Dexterity +300 Physical Attack",
	[511361] = "+3 Stamina +3 Wisdom",
	[512385] = "+85 Dexterity +255 Defense",
	[512897] = "+57 Strength +44 Intelligence +32 Stamina",
	[511362] = "+8 Stamina +8 Wisdom",
	[512898] = "+57 Dexterity +44 Strength +32 Stamina",
	[511363] = "+10 Stamina +10 Wisdom",
	[510340] = "+3 Wisdom",
	[512899] = "+57 Dexterity +44 Stamina +32 Strength",
	[511364] = "+15 Stamina +15 Wisdom",
	[510341] = "+4 Wisdom",
	[512900] = "+57 Strength +44 Dexterity +32 Stamina",
	[511365] = "+20 Stamina +20 Wisdom",
	[510342] = "+6 Wisdom",
	[512901] = "+66 Strength +165 Physical Attack",
	[511366] = "+30 Stamina +30 Wisdom",
	[510343] = "+8 Wisdom",
	[512902] = "+66 Strength +66 Dexterity",
	[511367] = "+45 Stamina +45 Wisdom",
	[510344] = "+10 Wisdom",
	[512903] = "+66 Strength +66 Stamina",
	[511368] = "+60 Stamina +60 Wisdom",
	[511880] = "+10 Magical Attack +50 Healing Power Increase Points",
	[510345] = "+13 Wisdom",
	[512904] = "+66 Strength +363 Defense",
	[511369] = "+75 Stamina +75 Wisdom",
	[511881] = "+15 Magical Attack +70 Healing Power Increase Points",
	[510346] = "+17 Wisdom",
	[512905] = "+66 Dexterity +429 Maximum HP",
	[511882] = "+20 Magical Attack +90 Healing Power Increase Points",
	[510347] = "+22 Wisdom",
	[512906] = "+66 Dexterity +363 Defense",
	[511883] = "+30 Magical Attack +120 Healing Power Increase Points",
	[510348] = "+28 Wisdom",
	[510860] = "+3 Dexterity +10 Defense",
	[511884] = "+50 Magical Attack +150 Healing Power Increase Points",
	[510349] = "+35 Wisdom",
	[510861] = "+5 Dexterity +15 Defense",
	[511885] = "+75 Magical Attack +180 Healing Power Increase Points",
	[510350] = "+45 Wisdom",
	[510862] = "+10 Dexterity +20 Defense",
	[511886] = "+100 Magical Attack +220 Healing Power Increase Points",
	[510351] = "+56 Wisdom",
	[510863] = "+15 Dexterity +30 Defense",
	[511887] = "+150 Magical Attack +260 Healing Power Increase Points",
	[510352] = "+67 Wisdom",
	[510864] = "+20 Dexterity +50 Defense",
	[511888] = "+200 Magical Attack +310 Healing Power Increase Points",
	[510353] = "+78 Wisdom",
	[510865] = "+30 Dexterity +75 Defense",
	[511889] = "+300 Magical Attack +360 Healing Power Increase Points",
	[510354] = "+89 Wisdom",
	[510866] = "+50 Dexterity +100 Defense",
	[512402] = "+52 Dexterity +260 Maximum HP",
	[510867] = "+75 Dexterity +150 Defense",
	[512403] = "+63 Dexterity +315 Maximum HP",
	[510868] = "+100 Dexterity +200 Defense",
	[511380] = "+10 Maximum MP +10 Defense",
	[512404] = "+74 Dexterity +370 Maximum HP",
	[510869] = "+150 Dexterity +300 Defense",
	[511381] = "+15 Maximum MP +15 Defense",
	[512405] = "+85 Dexterity +425 Maximum HP",
	[512917] = "+66 Wisdom +165 Magical Attack",
	[511382] = "+20 Maximum MP +20 Defense",
	[512918] = "+66 Wisdom +429 Maximum HP",
	[511383] = "+30 Maximum MP +30 Defense",
	[510360] = "+3 Stamina",
	[512919] = "+66 Wisdom +363 Magical Defense",
	[511384] = "+50 Maximum MP +50 Defense",
	[510361] = "+4 Stamina",
	[512920] = "+165 Magical Attack +429 Maximum HP",
	[511385] = "+75 Maximum MP +75 Defense",
	[510362] = "+6 Stamina",
	[512921] = "+66 Strength +363 Magical Defense",
	[511386] = "+100 Maximum MP +100 Defense",
	[510363] = "+8 Stamina",
	[512922] = "+66 Strength +66 Wisdom",
	[511387] = "+150 Maximum MP +150 Defense",
	[510364] = "+10 Stamina",
	[512923] = "+165 Physical Attack +363 Magical Defense",
	[511388] = "+200 Maximum MP +200 Defense",
	[511900] = "+10 Magical Attack +3 Wisdom",
	[510365] = "+13 Stamina",
	[512924] = "+66 Dexterity +165 Magical Attack",
	[511389] = "+300 Maximum MP +300 Defense",
	[511901] = "+15 Magical Attack +5 Wisdom",
	[510366] = "+17 Stamina",
	[512925] = "+165 Physical Attack +165 Magical Attack",
	[511902] = "+20 Magical Attack +10 Wisdom",
	[510367] = "+22 Stamina",
	[512926] = "+429 Maximum MP +363 Defense",
	[511903] = "+30 Magical Attack +15 Wisdom",
	[510368] = "+28 Stamina",
	[510880] = "+3 Dexterity +10 Magical Defense",
	[511904] = "+50 Magical Attack +20 Wisdom",
	[510369] = "+35 Stamina",
	[510881] = "+5 Dexterity +15 Magical Defense",
	[511905] = "+75 Magical Attack +30 Wisdom",
	[510370] = "+45 Stamina",
	[510882] = "+10 Dexterity +20 Magical Defense",
	[511906] = "+100 Magical Attack +50 Wisdom",
	[510371] = "+56 Stamina",
	[510883] = "+15 Dexterity +30 Magical Defense",
	[511907] = "+150 Magical Attack +75 Wisdom",
	[510372] = "+67 Stamina",
	[510884] = "+20 Dexterity +50 Magical Defense",
	[511908] = "+200 Magical Attack +100 Wisdom",
	[510373] = "+78 Stamina",
	[510885] = "+30 Dexterity +75 Magical Defense",
	[511909] = "+300 Magical Attack +150 Wisdom",
	[510374] = "+89 Stamina",
	[510886] = "+50 Dexterity +100 Magical Defense",
	[512422] = "+52 Wisdom +260 Maximum HP",
	[510887] = "+75 Dexterity +150 Magical Defense",
	[512423] = "+63 Wisdom +315 Maximum HP",
	[510888] = "+100 Dexterity +200 Magical Defense",
	[511400] = "+3 Stamina +10 Magical Defense",
	[512424] = "+74 Wisdom +370 Maximum HP",
	[510889] = "+150 Dexterity +300 Magical Defense",
	[511401] = "+5 Stamina +15 Magical Defense",
	[512425] = "+85 Wisdom +425 Maximum HP",
	[512937] = "+76 Stamina +494 Maximum MP",
	[511402] = "+10 Stamina +20 Magical Defense",
	[512938] = "+76 Stamina +76 Wisdom",
	[511403] = "+15 Stamina +30 Magical Defense",
	[510380] = "+3 Strength",
	[512939] = "+76 Stamina +494 Maximum HP",
	[511404] = "+20 Stamina +50 Magical Defense",
	[510381] = "+4 Strength",
	[512940] = "+76 Strength +190 Physical Attack",
	[511405] = "+30 Stamina +75 Magical Defense",
	[510382] = "+6 Strength",
	[512941] = "+76 Strength +76 Dexterity",
	[511406] = "+50 Stamina +100 Magical Defense",
	[510383] = "+8 Strength",
	[512942] = "+76 Strength +418 Magical Defense",
	[511407] = "+75 Stamina +150 Magical Defense",
	[510384] = "+10 Strength",
	[512943] = "+76 Strength +494 Maximum HP",
	[511408] = "+100 Stamina +200 Magical Defense",
	[511920] = "+50 Healing Power Increase Points +3 Wisdom",
	[510385] = "+13 Strength",
	[512944] = "+76 Strength +76 Stamina",
	[511409] = "+150 Stamina +300 Magical Defense",
	[511921] = "+70 Healing Power Increase Points +5 Wisdom",
	[510386] = "+17 Strength",
	[512945] = "+76 Strength +418 Defense",
	[511922] = "+90 Healing Power Increase Points +10 Wisdom",
	[510387] = "+22 Strength",
	[512946] = "+76 Dexterity +494 Maximum HP",
	[511923] = "+120 Healing Power Increase Points +15 Wisdom",
	[510388] = "+28 Strength",
	[510900] = "+2 Dexterity +2 Wisdom",
	[511924] = "+150 Healing Power Increase Points +20 Wisdom",
	[510389] = "+35 Strength",
	[510901] = "+3 Dexterity +3 Wisdom",
	[511925] = "+180 Healing Power Increase Points +30 Wisdom",
	[510390] = "+45 Strength",
	[510902] = "+8 Dexterity +8 Wisdom",
	[511926] = "+220 Healing Power Increase Points +50 Wisdom",
	[510391] = "+56 Strength",
	[510903] = "+10 Dexterity +10 Wisdom",
	[511927] = "+260 Healing Power Increase Points +75 Wisdom",
	[510392] = "+67 Strength",
	[510904] = "+15 Dexterity +15 Wisdom",
	[511928] = "+310 Healing Power Increase Points +100 Wisdom",
	[510393] = "+78 Strength",
	[510905] = "+20 Dexterity +20 Wisdom",
	[511929] = "+360 Healing Power Increase Points +150 Wisdom",
	[510394] = "+89 Strength",
	[510906] = "+30 Dexterity +30 Wisdom",
	[512442] = "+52 Wisdom +104 Magical Attack",
	[510907] = "+45 Dexterity +45 Wisdom",
	[512443] = "+63 Wisdom +126 Magical Attack",
	[510908] = "+60 Dexterity +60 Wisdom",
	[511420] = "+2 Intelligence +2 Stamina",
	[512444] = "+74 Wisdom +148 Magical Attack",
	[510909] = "+75 Dexterity +75 Wisdom",
	[511421] = "+3 Intelligence +3 Stamina",
	[512445] = "+85 Wisdom +170 Magical Attack",
	[512957] = "+76 Intelligence +494 Maximum HP",
	[511422] = "+8 Intelligence +8 Stamina",
	[512958] = "+76 Wisdom +190 Magical Attack",
	[511423] = "+10 Intelligence +10 Stamina",
	[510400] = "+5 Magical Attack",
	[512959] = "+76 Wisdom +494 Maximum HP",
	[511424] = "+15 Intelligence +15 Stamina",
	[510401] = "+7 Magical Attack",
	[512960] = "+494 Maximum HP +418 Magical Defense",
	[511425] = "+20 Intelligence +20 Stamina",
	[510402] = "+9 Magical Attack",
	[512961] = "+76 Wisdom +418 Defense",
	[511426] = "+30 Intelligence +30 Stamina",
	[510403] = "+12 Magical Attack",
	[512962] = "+76 Intelligence +76 Wisdom",
	[511427] = "+45 Intelligence +45 Stamina",
	[510404] = "+15 Magical Attack",
	[512963] = "+76 Wisdom +418 Magical Defense",
	[511428] = "+60 Intelligence +60 Stamina",
	[511940] = "+3 Intelligence +10 Maximum MP",
	[510405] = "+19 Magical Attack",
	[512964] = "+76 Stamina +418 Magical Defense",
	[511429] = "+75 Intelligence +75 Stamina",
	[511941] = "+5 Intelligence +15 Maximum MP",
	[510406] = "+25 Magical Attack",
	[512965] = "+494 Maximum HP +494 Maximum MP",
	[511942] = "+10 Intelligence +20 Maximum MP",
	[510407] = "+31 Magical Attack",
	[512966] = "+418 Defense +418 Magical Defense",
	[511943] = "+15 Intelligence +30 Maximum MP",
	[510408] = "+40 Magical Attack",
	[510920] = "+3 Dexterity +10 Maximum HP",
	[511944] = "+20 Intelligence +50 Maximum MP",
	[510409] = "+50 Magical Attack",
	[510921] = "+5 Dexterity +15 Maximum HP",
	[511945] = "+30 Intelligence +75 Maximum MP",
	[510410] = "+63 Magical Attack",
	[510922] = "+10 Dexterity +20 Maximum HP",
	[511946] = "+50 Intelligence +100 Maximum MP",
	[510411] = "+79 Magical Attack",
	[510923] = "+15 Dexterity +30 Maximum HP",
	[511947] = "+75 Intelligence +150 Maximum MP",
	[510412] = "+95 Magical Attack",
	[510924] = "+20 Dexterity +50 Maximum HP",
	[511948] = "+100 Intelligence +200 Maximum MP",
	[510413] = "+111 Magical Attack",
	[510925] = "+30 Dexterity +75 Maximum HP",
	[511949] = "+150 Intelligence +300 Maximum MP",
	[510414] = "+127 Magical Attack",
	[510926] = "+50 Dexterity +100 Maximum HP",
	[512462] = "+52 Wisdom +104 Physical Attack",
	[510927] = "+75 Dexterity +150 Maximum HP",
	[512463] = "+63 Wisdom +126 Physical Attack",
	[510928] = "+100 Dexterity +200 Maximum HP",
	[511440] = "+3 Intelligence +10 Physical Attack",
	[512464] = "+74 Wisdom +148 Physical Attack",
	[510929] = "+150 Dexterity +300 Maximum HP",
	[511441] = "+5 Intelligence +15 Physical Attack",
	[512465] = "+85 Wisdom +170 Physical Attack",
	[512977] = "+76 Intelligence +76 Strength",
	[511442] = "+10 Intelligence +20 Physical Attack",
	[512978] = "+76 Intelligence +76 Dexterity",
	[511443] = "+15 Intelligence +30 Physical Attack",
	[510420] = "+9 Magical Defense",
	[512979] = "+76 Intelligence +190 Physical Attack",
	[511444] = "+20 Intelligence +50 Physical Attack",
	[510421] = "+12 Magical Defense",
	[512980] = "+190 Magical Attack +494 Maximum HP",
	[511445] = "+30 Intelligence +75 Physical Attack",
	[510422] = "+18 Magical Defense",
	[512981] = "+76 Wisdom +190 Physical Attack",
	[511446] = "+50 Intelligence +100 Physical Attack",
	[510423] = "+24 Magical Defense",
	[512982] = "+76 Wisdom +76 Dexterity",
	[511447] = "+75 Intelligence +150 Physical Attack",
	[510424] = "+30 Magical Defense",
	[512983] = "+494 Maximum MP +418 Magical Defense",
	[511448] = "+100 Intelligence +200 Physical Attack",
	[511960] = "+8 Physical Critical Resistance",
	[510425] = "+39 Magical Defense",
	[512984] = "+76 Strength +60 Stamina +48 Dexterity",
	[511449] = "+150 Intelligence +300 Physical Attack",
	[511961] = "+12 Physical Critical Resistance",
	[510426] = "+51 Magical Defense",
	[512985] = "+76 Dexterity +60 Stamina +48 Strength",
	[511962] = "+12 Physical Critical Resistance",
	[510427] = "+66 Magical Defense",
	[512986] = "+76 Dexterity +60 Strength +48 Stamina",
	[511963] = "+12 Physical Critical Resistance",
	[510428] = "+84 Magical Defense",
	[510940] = "+10 Physical Attack +10 Defense",
	[511964] = "+12 Physical Critical Resistance",
	[510429] = "+105 Magical Defense",
	[510941] = "+15 Physical Attack +15 Defense",
	[511965] = "+12 Physical Critical Resistance",
	[510430] = "+135 Magical Defense",
	[510942] = "+20 Physical Attack +20 Defense",
	[511966] = "+12 Physical Critical Resistance",
	[510431] = "+168 Magical Defense",
	[510943] = "+30 Physical Attack +30 Defense",
	[511967] = "+12 Physical Critical Resistance",
	[510432] = "+201 Magical Defense",
	[510944] = "+50 Physical Attack +50 Defense",
	[511968] = "+12 Physical Critical Resistance",
	[510433] = "+234 Magical Defense",
	[510945] = "+75 Physical Attack +75 Defense",
	[511969] = "+12 Physical Critical Resistance",
	[510434] = "+267 Magical Defense",
	[510946] = "+100 Physical Attack +100 Defense",
	[512482] = "+30 Stamina +60 Magical Attack",
	[510947] = "+150 Physical Attack +150 Defense",
	[512483] = "+30 Stamina +180 Maximum HP",
	[510948] = "+200 Physical Attack +200 Defense",
	[511460] = "+3 Intelligence +10 Defense",
	[512484] = "+30 Stamina +90 Defense",
	[510949] = "+300 Physical Attack +300 Defense",
	[511461] = "+5 Intelligence +15 Defense",
	[512485] = "+30 Stamina +30 Dexterity",
	[511462] = "+10 Intelligence +20 Defense",
	[512486] = "+30 Dexterity +60 Magical Attack",
	[511463] = "+15 Intelligence +30 Defense",
	[510440] = "+5 Water Resistance",
	[511464] = "+20 Intelligence +50 Defense",
	[510441] = "+7 Water Resistance",
	[511465] = "+30 Intelligence +75 Defense",
	[510442] = "+8 Water Resistance",
	[511466] = "+50 Intelligence +100 Defense",
	[510443] = "+10 Water Resistance",
	[511467] = "+75 Intelligence +150 Defense",
	[510444] = "+13 Water Resistance",
	[511468] = "+100 Intelligence +200 Defense",
	[511980] = "+8 Magical Critical Resistance",
	[510445] = "+16 Water Resistance",
	[511469] = "+150 Intelligence +300 Defense",
	[511981] = "+12 Magical Critical Resistance",
	[510446] = "+20 Water Resistance",
	[511982] = "+12 Magical Critical Resistance",
	[510447] = "+24 Water Resistance",
	[511983] = "+12 Magical Critical Resistance",
	[510448] = "+30 Water Resistance",
	[510960] = "+10 Maximum HP +10 Defense",
	[511984] = "+12 Magical Critical Resistance",
	[510449] = "+36 Water Resistance",
	[510961] = "+15 Maximum HP +15 Defense",
	[511985] = "+12 Magical Critical Resistance",
	[510450] = "+44 Water Resistance",
	[510962] = "+20 Maximum HP +20 Defense",
	[511986] = "+12 Magical Critical Resistance",
	[510451] = "+53 Water Resistance",
	[510963] = "+30 Maximum HP +30 Defense",
	[511987] = "+12 Magical Critical Resistance",
	[512499] = "+62 Strength",
	[510964] = "+50 Maximum HP +50 Defense",
	[511988] = "+12 Magical Critical Resistance",
	[512500] = "+73 Strength",
	[510965] = "+75 Maximum HP +75 Defense",
	[511989] = "+12 Magical Critical Resistance",
	[512501] = "+84 Strength",
	[510966] = "+100 Maximum HP +100 Defense",
	[512502] = "+95 Strength",
	[510967] = "+150 Maximum HP +150 Defense",
	[512503] = "+106 Strength",
	[510968] = "+200 Maximum HP +200 Defense",
	[511480] = "+3 Intelligence +50 Healing Power Increase Points",
	[512504] = "+117 Strength",
	[510969] = "+300 Maximum HP +300 Defense",
	[511481] = "+5 Intelligence +70 Healing Power Increase Points",
	[512505] = "+128 Strength",
	[511482] = "+10 Intelligence +90 Healing Power Increase Points",
	[512989] = "+76 Stamina +60 Strength +48 Dexterity",
	[512506] = "+139 Strength",
	[512988] = "+76 Wisdom +60 Stamina +48 Intelligence",
	[511483] = "+15 Intelligence +120 Healing Power Increase Points",
	[512987] = "+76 Intelligence +60 Stamina +48 Wisdom",
	[510460] = "+5 Fire Resistance",
	[512976] = "+190 Magical Attack +418 Magical Defense",
	[511484] = "+20 Intelligence +150 Healing Power Increase Points",
	[512975] = "+190 Physical Attack +190 Magical Attack",
	[510461] = "+7 Fire Resistance",
	[512974] = "+76 Dexterity +494 Maximum MP",
	[511485] = "+30 Intelligence +180 Healing Power Increase Points",
	[512973] = "+76 Dexterity +190 Magical Attack",
	[510462] = "+8 Fire Resistance",
	[512972] = "+494 Maximum HP +418 Defense",
	[511486] = "+50 Intelligence +220 Healing Power Increase Points",
	[512971] = "+190 Physical Attack +494 Maximum MP",
	[510463] = "+10 Fire Resistance",
	[512970] = "+76 Strength +190 Magical Attack",
	[511487] = "+75 Intelligence +260 Healing Power Increase Points",
	[512969] = "+76 Strength +76 Wisdom",
	[510464] = "+13 Fire Resistance",
	[512968] = "+76 Strength +418 Magical Defense",
	[511488] = "+100 Intelligence +310 Healing Power Increase Points",
	[512967] = "+76 Stamina +190 Magical Attack",
	[510465] = "+16 Fire Resistance",
	[512956] = "+76 Intelligence +494 Maximum MP",
	[511489] = "+150 Intelligence +360 Healing Power Increase Points",
	[512955] = "+76 Intelligence +418 Magical Defense",
	[510466] = "+20 Fire Resistance",
	[512954] = "+76 Intelligence +418 Defense",
	[512953] = "+76 Intelligence +76 Stamina",
	[512952] = "+76 Intelligence +190 Magical Attack",
	[510467] = "+24 Fire Resistance",
	[512951] = "+76 Dexterity +418 Defense",
	[512950] = "+190 Physical Attack +494 Maximum HP",
	[512949] = "+190 Physical Attack +418 Defense",
	[510468] = "+30 Fire Resistance",
	[510980] = "+6 Magical Defense +6 Defense",
	[512948] = "+76 Dexterity +418 Magical Defense",
	[512947] = "+76 Dexterity +190 Physical Attack",
	[510469] = "+36 Fire Resistance",
	[510981] = "+10 Magical Defense +10 Defense",
	[512936] = "+76 Stamina +418 Defense",
	[512935] = "+76 Stamina +76 Dexterity",
	[510470] = "+44 Fire Resistance",
	[510982] = "+15 Magical Defense +15 Defense",
	[512934] = "+76 Stamina +190 Physical Attack",
	[512932] = "+165 Magical Attack +363 Defense",
	[510471] = "+53 Fire Resistance",
	[510983] = "+20 Magical Defense +20 Defense",
	[512931] = "+66 Intelligence +363 Defense",
	[512930] = "+66 Wisdom +363 Defense",
	[512519] = "+62 Stamina",
	[510984] = "+30 Magical Defense +30 Defense",
	[512929] = "+66 Stamina +66 Wisdom",
	[512928] = "+66 Stamina +429 Maximum MP",
	[512520] = "+73 Stamina",
	[510985] = "+45 Magical Defense +45 Defense",
	[512927] = "+66 Stamina +363 Magical Defense",
	[512916] = "+66 Intelligence +363 Magical Defense",
	[512521] = "+84 Stamina",
	[510986] = "+60 Magical Defense +60 Defense",
	[512915] = "+66 Intelligence +429 Maximum HP",
	[512522] = "+95 Stamina",
	[510987] = "+75 Magical Defense +75 Defense",
	[512914] = "+66 Intelligence +66 Stamina",
	[512523] = "+106 Stamina",
	[510988] = "+100 Magical Defense +100 Defense",
	[511500] = "+3 Intelligence +10 Maximum HP",
	[512524] = "+117 Stamina",
	[510989] = "+200 Magical Defense +200 Defense",
	[511501] = "+5 Intelligence +15 Maximum HP",
	[512525] = "+128 Stamina",
	[512913] = "+66 Intelligence +165 Magical Attack",
	[511502] = "+10 Intelligence +20 Maximum HP",
	[512526] = "+139 Stamina",
	[512912] = "+66 Strength +429 Maximum HP",
	[511503] = "+15 Intelligence +30 Maximum HP",
	[510480] = "+5 Light Resistance",
	[512911] = "+66 Stamina +363 Defense",
	[511504] = "+20 Intelligence +50 Maximum HP",
	[510481] = "+7 Light Resistance",
	[512910] = "+66 Stamina +66 Dexterity",
	[511505] = "+30 Intelligence +75 Maximum HP",
	[510482] = "+8 Light Resistance",
	[512909] = "+66 Stamina +165 Physical Attack",
	[511506] = "+50 Intelligence +100 Maximum HP",
	[510483] = "+10 Light Resistance",
	[512908] = "+165 Physical Attack +363 Defense",
	[511507] = "+75 Intelligence +150 Maximum HP",
	[510484] = "+13 Light Resistance",
	[512907] = "+66 Dexterity +165 Physical Attack",
	[511508] = "+100 Intelligence +200 Maximum HP",
	[512896] = "+57 Intelligence +44 Stamina +32 Wisdom",
	[510485] = "+16 Light Resistance",
	[512895] = "+57 Stamina +44 Dexterity +32 Strength",
	[511509] = "+150 Intelligence +300 Maximum HP",
	[512894] = "+57 Stamina +44 Wisdom +32 Intelligence",
	[510486] = "+20 Light Resistance",
	[512893] = "+57 Stamina +44 Strength +32 Intelligence",
	[512892] = "+57 Stamina +44 Strength +32 Dexterity",
	[512891] = "+57 Wisdom +44 Intelligence +32 Stamina",
	[510487] = "+24 Light Resistance",
	[512890] = "+57 Intelligence +44 Wisdom +32 Stamina",
	[512889] = "+57 Strength +44 Physical Attack",
	[512888] = "+57 Stamina +57 Wisdom",
	[510488] = "+30 Light Resistance",
	[511000] = "+3 Intelligence +10 Magical Defense",
	[512887] = "+57 Stamina +370 Maximum MP",
	[512876] = "+114 Magical Attack +370 Maximum MP",
	[510489] = "+36 Light Resistance",
	[511001] = "+5 Intelligence +15 Magical Defense",
	[512875] = "+57 Intelligence +313 Magical Defense",
	[512874] = "+57 Intelligence +114 Magical Attack",
	[510490] = "+44 Light Resistance",
	[511002] = "+10 Intelligence +20 Magical Defense",
	[512873] = "+57 Intelligence +370 Maximum MP",
	[512872] = "+57 Stamina +114 Physical Attack",
	[510491] = "+53 Light Resistance",
	[511003] = "+15 Intelligence +30 Magical Defense",
	[512871] = "+57 Dexterity +370 Maximum MP",
	[512870] = "+114 Physical Attack +370 Maximum HP",
	[512539] = "+62 Intelligence",
	[511004] = "+20 Intelligence +50 Magical Defense",
	[512869] = "+57 Stamina +57 Dexterity",
	[512868] = "+57 Strength +57 Dexterity",
	[512540] = "+73 Intelligence",
	[511005] = "+30 Intelligence +75 Magical Defense",
	[512867] = "+57 Strength +370 Maximum HP",
	[510114] = "+127 Physical Attack",
	[512541] = "+84 Intelligence",
	[511006] = "+50 Intelligence +100 Magical Defense",
	[510054] = "+314 Maximum MP",
	[512030] = "+2 Wisdom +2 Strength",
	[512542] = "+95 Intelligence",
	[511007] = "+75 Intelligence +150 Magical Defense",
	[512090] = "+30 Strength +72 Physical Attack",
	[512031] = "+3 Wisdom +3 Strength",
	[512543] = "+106 Intelligence",
	[511008] = "+100 Intelligence +200 Magical Defense",
	[511520] = "+3 Stamina +10 Maximum MP",
	[512032] = "+8 Wisdom +8 Strength",
	[512544] = "+117 Intelligence",
	[511009] = "+150 Intelligence +300 Magical Defense",
	[511521] = "+5 Stamina +15 Maximum MP",
	[512033] = "+10 Wisdom +10 Strength",
	[512545] = "+128 Intelligence",
	[510034] = "+314 Maximum HP",
	[511522] = "+10 Stamina +20 Maximum MP",
	[512034] = "+15 Wisdom +15 Strength",
	[512546] = "+139 Intelligence",
	[512092] = "+52 Strength +116 Physical Attack",
	[511523] = "+15 Stamina +30 Maximum MP",
	[512035] = "+20 Wisdom +20 Strength",
	[510500] = "+5 Earth Resistance",
	[510033] = "+278 Maximum HP",
	[511524] = "+20 Stamina +50 Maximum MP",
	[512036] = "+30 Wisdom +30 Strength",
	[510501] = "+7 Earth Resistance",
	[512094] = "+74 Strength +160 Physical Attack",
	[511525] = "+30 Stamina +75 Maximum MP",
	[512037] = "+45 Wisdom +45 Strength",
	[510502] = "+8 Earth Resistance",
	[510028] = "+114 Maximum HP",
	[511526] = "+50 Stamina +100 Maximum MP",
	[512038] = "+60 Wisdom +60 Strength",
	[510503] = "+10 Earth Resistance",
	[510027] = "+93 Maximum HP",
	[511527] = "+75 Stamina +150 Maximum MP",
	[512039] = "+75 Wisdom +75 Strength",
	[510504] = "+13 Earth Resistance",
	[510024] = "+45 Maximum HP",
	[511528] = "+100 Stamina +200 Maximum MP",
	[512111] = "+41 Wisdom +235 Maximum MP",
	[510505] = "+16 Earth Resistance",
	[512114] = "+74 Wisdom +400 Maximum MP",
	[511529] = "+150 Stamina +300 Maximum MP",
	[512150] = "+30 Stamina +30 Wisdom",
	[510506] = "+20 Earth Resistance",
	[512154] = "+74 Stamina +74 Wisdom",
	[512171] = "+41 Strength +41 Stamina",
	[512174] = "+74 Strength +74 Stamina",
	[510507] = "+24 Earth Resistance",
	[512180] = "+30 Strength +30 Intelligence",
	[512151] = "+41 Stamina +41 Wisdom",
	[512190] = "+30 Dexterity +30 Wisdom",
	[510508] = "+30 Earth Resistance",
	[511020] = "+3 Intelligence +10 Magical Attack",
	[512192] = "+52 Dexterity +52 Wisdom",
	[512194] = "+74 Dexterity +74 Wisdom",
	[510509] = "+36 Earth Resistance",
	[511021] = "+5 Intelligence +15 Magical Attack",
	[512200] = "+30 Dexterity +30 Intelligence",
	[510025] = "+59 Maximum HP",
	[510510] = "+44 Earth Resistance",
	[511022] = "+10 Intelligence +20 Magical Attack",
	[512251] = "+41 Intelligence +205 Maximum HP",
	[512252] = "+52 Intelligence +260 Maximum HP",
	[510511] = "+53 Earth Resistance",
	[511023] = "+15 Intelligence +30 Magical Attack",
	[512253] = "+63 Intelligence +315 Maximum HP",
	[512255] = "+85 Intelligence +425 Maximum HP",
	[512559] = "+62 Wisdom",
	[511024] = "+20 Intelligence +50 Magical Attack",
	[512261] = "+41 Intelligence +205 Maximum MP",
	[512351] = "+41 Strength +123 Defense",
	[512560] = "+73 Wisdom",
	[511025] = "+30 Intelligence +75 Magical Attack",
	[512353] = "+63 Strength +189 Defense",
	[512355] = "+85 Strength +255 Defense",
	[512561] = "+84 Wisdom",
	[511026] = "+50 Intelligence +100 Magical Attack",
	[512372] = "+52 Dexterity +156 Magical Defense",
	[512050] = "+3 Wisdom +10 Physical Attack",
	[512562] = "+95 Wisdom",
	[511027] = "+75 Intelligence +150 Magical Attack",
	[512374] = "+74 Dexterity +222 Magical Defense",
	[512051] = "+5 Wisdom +15 Physical Attack",
	[512563] = "+106 Wisdom",
	[511028] = "+100 Intelligence +200 Magical Attack",
	[511540] = "+3 Stamina +10 Magical Attack",
	[512052] = "+10 Wisdom +20 Physical Attack",
	[512564] = "+117 Wisdom",
	[511029] = "+150 Intelligence +300 Magical Attack",
	[511541] = "+5 Stamina +15 Magical Attack",
	[512053] = "+15 Wisdom +30 Physical Attack",
	[512565] = "+128 Wisdom",
	[512380] = "+30 Dexterity +90 Defense",
	[511542] = "+10 Stamina +20 Magical Attack",
	[512054] = "+20 Wisdom +50 Physical Attack",
	[512566] = "+139 Wisdom",
	[512391] = "+41 Dexterity +205 Maximum MP",
	[511543] = "+15 Stamina +30 Magical Attack",
	[512055] = "+30 Wisdom +75 Physical Attack",
	[510520] = "+5 Wind Resistance",
	[512394] = "+74 Dexterity +370 Maximum MP",
	[511544] = "+20 Stamina +50 Magical Attack",
	[512056] = "+50 Wisdom +100 Physical Attack",
	[510521] = "+7 Wind Resistance",
	[512400] = "+30 Dexterity +150 Maximum HP",
	[511545] = "+30 Stamina +75 Magical Attack",
	[512057] = "+75 Wisdom +150 Physical Attack",
	[510522] = "+8 Wind Resistance",
	[512410] = "+30 Dexterity +60 Magical Attack",
	[511546] = "+50 Stamina +100 Magical Attack",
	[512058] = "+100 Wisdom +200 Physical Attack",
	[510523] = "+10 Wind Resistance",
	[512412] = "+52 Dexterity +104 Magical Attack",
	[511547] = "+75 Stamina +150 Magical Attack",
	[512059] = "+150 Wisdom +300 Physical Attack",
	[510524] = "+13 Wind Resistance",
	[512414] = "+74 Dexterity +148 Magical Attack",
	[511548] = "+100 Stamina +200 Magical Attack",
	[512420] = "+30 Wisdom +150 Maximum HP",
	[510525] = "+16 Wind Resistance",
	[512430] = "+30 Wisdom +90 Defense",
	[511549] = "+150 Stamina +300 Magical Attack",
	[512432] = "+52 Wisdom +156 Defense",
	[510526] = "+20 Wind Resistance",
	[512434] = "+74 Wisdom +222 Defense",
	[512435] = "+85 Wisdom +255 Defense",
	[512440] = "+30 Wisdom +60 Magical Attack",
	[510527] = "+24 Wind Resistance",
	[512450] = "+30 Wisdom +90 Magical Defense",
	[512452] = "+52 Wisdom +156 Magical Defense",
	[512454] = "+74 Wisdom +222 Magical Defense",
	[510528] = "+30 Wind Resistance",
	[511040] = "+2 Intelligence +2 Wisdom",
	[512460] = "+30 Wisdom +60 Physical Attack",
	[512470] = "+30 Intelligence +72 Magical Attack",
	[510529] = "+36 Wind Resistance",
	[511041] = "+3 Intelligence +3 Wisdom",
	[512473] = "+30 Intelligence +30 Wisdom",
	[512475] = "+30 Wisdom +60 Magical Attack",
	[510530] = "+44 Wind Resistance",
	[511042] = "+8 Intelligence +8 Wisdom",
	[512477] = "+30 Dexterity +72 Physical Attack",
	[512480] = "+30 Strength +90 Defense",
	[510531] = "+53 Wind Resistance",
	[511043] = "+10 Intelligence +10 Wisdom",
	[512488] = "+3 Strength",
	[510020] = "+10 Maximum HP",
	[512579] = "+62 Dexterity",
	[511044] = "+15 Intelligence +15 Wisdom",
	[512490] = "+7 Strength",
	[510021] = "+17 Maximum HP",
	[512580] = "+73 Dexterity",
	[511045] = "+20 Intelligence +20 Wisdom",
	[512492] = "+12 Strength",
	[510022] = "+25 Maximum HP",
	[512581] = "+84 Dexterity",
	[511046] = "+30 Intelligence +30 Wisdom",
	[512495] = "+24 Strength",
	[510023] = "+34 Maximum HP",
	[512582] = "+95 Dexterity",
	[511047] = "+45 Intelligence +45 Wisdom",
	[512498] = "+51 Strength",
	[512071] = "+41 Intelligence +94 Magical Attack",
	[512583] = "+106 Dexterity",
	[511048] = "+60 Intelligence +60 Wisdom",
	[512072] = "+52 Intelligence +116 Magical Attack",
	[512584] = "+117 Dexterity",
	[511049] = "+75 Intelligence +75 Wisdom",
	[512073] = "+63 Intelligence +138 Magical Attack",
	[512585] = "+128 Dexterity",
	[512509] = "+5 Stamina",
	[512074] = "+74 Intelligence +160 Magical Attack",
	[512586] = "+139 Dexterity",
	[512512] = "+12 Stamina",
	[511563] = "+15 Stamina +120 Healing Power Increase Points",
	[512075] = "+86 Intelligence +182 Magical Attack",
	[510540] = "+5 Dark Resistance",
	[512514] = "+19 Stamina",
	[511564] = "+20 Stamina +150 Healing Power Increase Points",
	[510029] = "+140 Maximum HP",
	[510541] = "+7 Dark Resistance",
	[512516] = "+30 Stamina",
	[511565] = "+30 Stamina +180 Healing Power Increase Points",
	[510030] = "+170 Maximum HP",
	[510542] = "+8 Dark Resistance",
	[512517] = "+40 Stamina",
	[511566] = "+50 Stamina +220 Healing Power Increase Points",
	[510031] = "+206 Maximum HP",
	[510543] = "+10 Dark Resistance",
	[512518] = "+51 Stamina",
	[511567] = "+75 Stamina +260 Healing Power Increase Points",
	[510032] = "+242 Maximum HP",
	[510544] = "+13 Dark Resistance",
	[512528] = "+3 Intelligence",
	[511568] = "+100 Stamina +310 Healing Power Increase Points",
	[512080] = "+30 Stamina +180 Maximum HP",
	[510545] = "+16 Dark Resistance",
	[512530] = "+7 Intelligence",
	[511569] = "+150 Stamina +360 Healing Power Increase Points",
	[512081] = "+41 Stamina +235 Maximum HP",
	[510546] = "+20 Dark Resistance",
	[512533] = "+15 Intelligence",
	[512536] = "+30 Intelligence",
	[512082] = "+52 Stamina +290 Maximum HP",
	[510547] = "+24 Dark Resistance",
	[512547] = "+150 Intelligence",
	[512550] = "+7 Wisdom",
	[512083] = "+63 Stamina +345 Maximum HP",
	[510548] = "+30 Dark Resistance",
	[511060] = "+10 Defense +3 Wisdom",
	[512552] = "+12 Wisdom",
	[512084] = "+74 Stamina +400 Maximum HP",
	[510549] = "+36 Dark Resistance",
	[511061] = "+15 Defense +5 Wisdom",
	[512554] = "+19 Wisdom",
	[512085] = "+86 Stamina +455 Maximum HP",
	[510550] = "+44 Dark Resistance",
	[511062] = "+20 Defense +10 Wisdom",
	[512557] = "+40 Wisdom",
	[512568] = "+3 Dexterity",
	[510551] = "+53 Dark Resistance",
	[511063] = "+30 Defense +15 Wisdom",
	[512570] = "+7 Dexterity",
	[510040] = "+10 Maximum MP",
	[512599] = "+91 Physical Attack",
	[511064] = "+50 Defense +20 Wisdom",
	[512572] = "+12 Dexterity",
	[510041] = "+17 Maximum MP",
	[512600] = "+107 Physical Attack",
	[511065] = "+75 Defense +30 Wisdom",
	[512574] = "+19 Dexterity",
	[510042] = "+25 Maximum MP",
	[512601] = "+123 Physical Attack",
	[511066] = "+100 Defense +50 Wisdom",
	[512576] = "+30 Dexterity",
	[510043] = "+34 Maximum MP",
	[512602] = "+139 Physical Attack",
	[511067] = "+150 Defense +75 Wisdom",
	[512578] = "+51 Dexterity",
	[510044] = "+45 Maximum MP",
	[512603] = "+155 Physical Attack",
	[511068] = "+200 Defense +100 Wisdom",
	[511580] = "+3 Strength +10 Maximum HP",
	[510045] = "+59 Maximum MP",
	[512604] = "+171 Physical Attack",
	[511069] = "+300 Defense +150 Wisdom",
	[511581] = "+5 Strength +15 Maximum HP",
	[510046] = "+74 Maximum MP",
	[512605] = "+187 Physical Attack",
	[512588] = "+6 Physical Attack",
	[511582] = "+10 Strength +20 Maximum HP",
	[510047] = "+93 Maximum MP",
	[512606] = "+203 Physical Attack",
	[512590] = "+11 Physical Attack",
	[511583] = "+15 Strength +30 Maximum HP",
	[510048] = "+114 Maximum MP",
	[510560] = "+1 All Resistances",
	[512592] = "+17 Physical Attack",
	[511584] = "+20 Strength +50 Maximum HP",
	[510049] = "+140 Maximum MP",
	[510561] = "+2 All Resistances",
	[512593] = "+21 Physical Attack",
	[511585] = "+30 Strength +75 Maximum HP",
	[510050] = "+170 Maximum MP",
	[510562] = "+3 All Resistances",
	[512594] = "+27 Physical Attack",
	[511586] = "+50 Strength +100 Maximum HP",
	[510051] = "+206 Maximum MP",
	[510563] = "+4 All Resistances",
	[512596] = "+42 Physical Attack",
	[511587] = "+75 Strength +150 Maximum HP",
	[510052] = "+242 Maximum MP",
	[510564] = "+5 All Resistances",
	[512598] = "+75 Physical Attack",
	[511588] = "+100 Strength +200 Maximum HP",
	[510053] = "+278 Maximum MP",
	[510565] = "+6 All Resistances",
	[512608] = "+9 Defense",
	[511589] = "+150 Strength +300 Maximum HP",
	[512101] = "+41 Dexterity +94 Physical Attack",
	[510566] = "+8 All Resistances",
	[512610] = "+21 Defense",
	[512618] = "+153 Defense",
	[512102] = "+52 Dexterity +116 Physical Attack",
	[510567] = "+10 All Resistances",
	[512617] = "+120 Defense",
	[512616] = "+90 Defense",
	[512103] = "+63 Dexterity +138 Physical Attack",
	[510568] = "+13 All Resistances",
	[511080] = "+10 Magical Attack +10 Magical Defense",
	[512615] = "+72 Defense",
	[512104] = "+74 Dexterity +160 Physical Attack",
	[510569] = "+16 All Resistances",
	[511081] = "+15 Magical Attack +15 Magical Defense",
	[512614] = "+57 Defense",
	[512105] = "+86 Dexterity +182 Physical Attack",
	[510570] = "+19 All Resistances",
	[511082] = "+20 Magical Attack +20 Magical Defense",
	[512613] = "+45 Defense",
	[512612] = "+36 Defense",
	[510571] = "+24 All Resistances",
	[511083] = "+30 Magical Attack +30 Magical Defense",
	[512611] = "+27 Defense",
	[510060] = "+3 Dexterity",
	[512619] = "+186 Defense",
	[511084] = "+50 Magical Attack +50 Magical Defense",
	[512609] = "+15 Defense",
	[510061] = "+4 Dexterity",
	[512620] = "+219 Defense",
	[511085] = "+75 Magical Attack +75 Magical Defense",
	[512607] = "+219 Physical Attack",
	[510062] = "+6 Dexterity",
	[512621] = "+252 Defense",
	[511086] = "+100 Magical Attack +100 Magical Defense",
	[512597] = "+52 Physical Attack",
	[510063] = "+8 Dexterity",
	[512622] = "+285 Defense",
	[511087] = "+150 Magical Attack +150 Magical Defense",
	[512595] = "+33 Physical Attack",
	[510064] = "+10 Dexterity",
	[512623] = "+318 Defense",
	[511088] = "+200 Magical Attack +200 Magical Defense",
	[511600] = "+3 Strength +10 Maximum MP",
	[510065] = "+13 Dexterity",
	[512624] = "+351 Defense",
	[511089] = "+300 Magical Attack +300 Magical Defense",
	[511601] = "+5 Strength +15 Maximum MP",
	[510066] = "+17 Dexterity",
	[512625] = "+384 Defense",
	[512591] = "+14 Physical Attack",
	[511602] = "+10 Strength +20 Maximum MP",
	[510067] = "+22 Dexterity",
	[512626] = "+417 Defense",
	[512589] = "+8 Physical Attack",
	[511603] = "+15 Strength +30 Maximum MP",
	[510068] = "+28 Dexterity",
	[512627] = "+450 Defense",
	[512587] = "+150 Dexterity",
	[511604] = "+20 Strength +50 Maximum MP",
	[510069] = "+35 Dexterity",
	[512628] = "+6 Magical Attack",
	[512577] = "+40 Dexterity",
	[511605] = "+30 Strength +75 Maximum MP",
	[510070] = "+45 Dexterity",
	[512629] = "+8 Magical Attack",
	[512575] = "+24 Dexterity",
	[511606] = "+50 Strength +100 Maximum MP",
	[510071] = "+56 Dexterity",
	[512630] = "+11 Magical Attack",
	[512573] = "+15 Dexterity",
	[511607] = "+75 Strength +150 Maximum MP",
	[510072] = "+67 Dexterity",
	[512631] = "+14 Magical Attack",
	[512571] = "+9 Dexterity",
	[511608] = "+100 Strength +200 Maximum MP",
	[510073] = "+78 Dexterity",
	[512632] = "+17 Magical Attack",
	[512569] = "+5 Dexterity",
	[511609] = "+150 Strength +300 Maximum MP",
	[512121] = "+41 Intelligence +41 Wisdom",
	[512633] = "+21 Magical Attack",
	[512567] = "+150 Wisdom",
	[512558] = "+51 Wisdom",
	[512122] = "+52 Intelligence +52 Wisdom",
	[512634] = "+27 Magical Attack",
	[512556] = "+30 Wisdom",
	[512555] = "+24 Wisdom",
	[512123] = "+63 Intelligence +63 Wisdom",
	[512635] = "+33 Magical Attack",
	[511100] = "+3 Wisdom +10 Magical Defense",
	[512553] = "+15 Wisdom",
	[512124] = "+74 Intelligence +74 Wisdom",
	[512636] = "+42 Magical Attack",
	[511101] = "+5 Wisdom +15 Magical Defense",
	[512551] = "+9 Wisdom",
	[512125] = "+85 Intelligence +85 Wisdom",
	[512637] = "+52 Magical Attack",
	[511102] = "+10 Wisdom +20 Magical Defense",
	[512549] = "+5 Wisdom",
	[512548] = "+3 Wisdom",
	[512638] = "+75 Magical Attack",
	[511103] = "+15 Wisdom +30 Magical Defense",
	[512538] = "+51 Intelligence",
	[512537] = "+40 Intelligence",
	[512639] = "+91 Magical Attack",
	[511104] = "+20 Wisdom +50 Magical Defense",
	[512535] = "+24 Intelligence",
	[512534] = "+19 Intelligence",
	[512640] = "+107 Magical Attack",
	[511105] = "+30 Wisdom +75 Magical Defense",
	[512532] = "+12 Intelligence",
	[512531] = "+9 Intelligence",
	[512641] = "+123 Magical Attack",
	[511106] = "+50 Wisdom +100 Magical Defense",
	[512529] = "+5 Intelligence",
	[512130] = "+30 Intelligence +30 Stamina",
	[512642] = "+139 Magical Attack",
	[511107] = "+75 Wisdom +150 Magical Defense",
	[512527] = "+150 Stamina",
	[512131] = "+41 Intelligence +41 Stamina",
	[512643] = "+155 Magical Attack",
	[511108] = "+100 Wisdom +200 Magical Defense",
	[511620] = "+2 Strength +2 Intelligence",
	[512132] = "+52 Intelligence +52 Stamina",
	[512644] = "+171 Magical Attack",
	[511109] = "+150 Wisdom +300 Magical Defense",
	[511621] = "+3 Strength +3 Intelligence",
	[512133] = "+63 Intelligence +63 Stamina",
	[512645] = "+187 Magical Attack",
	[512515] = "+24 Stamina",
	[511622] = "+8 Strength +8 Intelligence",
	[512134] = "+74 Intelligence +74 Stamina",
	[512646] = "+203 Magical Attack",
	[512513] = "+15 Stamina",
	[511623] = "+10 Strength +10 Intelligence",
	[512135] = "+85 Intelligence +85 Stamina",
	[512647] = "+219 Magical Attack",
	[512511] = "+9 Stamina",
	[511624] = "+15 Strength +15 Intelligence",
	[512510] = "+7 Stamina",
	[512648] = "+9 Magical Defense",
	[512508] = "+3 Stamina",
	[511625] = "+20 Strength +20 Intelligence",
	[512507] = "+150 Strength",
	[512649] = "+15 Magical Defense",
	[512497] = "+40 Strength",
	[511626] = "+30 Strength +30 Intelligence",
	[512496] = "+30 Strength",
	[512650] = "+21 Magical Defense",
	[512494] = "+19 Strength",
	[511627] = "+45 Strength +45 Intelligence",
	[512493] = "+15 Strength",
	[512651] = "+27 Magical Defense",
	[512491] = "+9 Strength",
	[511628] = "+60 Strength +60 Intelligence",
	[512140] = "+30 Stamina +30 Dexterity",
	[512652] = "+36 Magical Defense",
	[512489] = "+5 Strength",
	[511629] = "+75 Strength +75 Intelligence",
	[512141] = "+41 Stamina +41 Dexterity",
	[512653] = "+45 Magical Defense",
	[512487] = "+30 Strength +60 Magical Attack",
	[512481] = "+30 Stamina +60 Physical Attack",
	[512142] = "+52 Stamina +52 Dexterity",
	[512654] = "+57 Magical Defense",
	[512479] = "+30 Strength +30 Stamina",
	[512478] = "+30 Strength +30 Dexterity",
	[512143] = "+63 Stamina +63 Dexterity",
	[512655] = "+72 Magical Defense",
	[511120] = "+3 Stamina +10 Maximum HP",
	[512476] = "+30 Strength +72 Physical Attack",
	[512144] = "+74 Stamina +74 Dexterity",
	[512656] = "+90 Magical Defense",
	[511121] = "+5 Stamina +15 Maximum HP",
	[512474] = "+30 Intelligence +30 Stamina",
	[512145] = "+85 Stamina +85 Dexterity",
	[512657] = "+120 Magical Defense",
	[511122] = "+10 Stamina +20 Maximum HP",
	[512472] = "+30 Wisdom +150 Maximum HP",
	[512471] = "+30 Stamina +30 Wisdom",
	[512658] = "+153 Magical Defense",
	[511123] = "+15 Stamina +30 Maximum HP",
	[512461] = "+41 Wisdom +82 Physical Attack",
	[510100] = "+5 Physical Attack",
	[512659] = "+186 Magical Defense",
	[511124] = "+20 Stamina +50 Maximum HP",
	[512455] = "+85 Wisdom +255 Magical Defense",
	[510101] = "+7 Physical Attack",
	[512660] = "+219 Magical Defense",
	[511125] = "+30 Stamina +75 Maximum HP",
	[512453] = "+63 Wisdom +189 Magical Defense",
	[510102] = "+9 Physical Attack",
	[512661] = "+252 Magical Defense",
	[511126] = "+50 Stamina +100 Maximum HP",
	[512451] = "+41 Wisdom +123 Magical Defense",
	[510103] = "+12 Physical Attack",
	[512662] = "+285 Magical Defense",
	[511127] = "+75 Stamina +150 Maximum HP",
	[512441] = "+41 Wisdom +82 Magical Attack",
	[510104] = "+15 Physical Attack",
	[512663] = "+318 Magical Defense",
	[511128] = "+100 Stamina +200 Maximum HP",
	[511640] = "+3 Strength +10 Magical Attack",
	[510105] = "+19 Physical Attack",
	[512664] = "+351 Magical Defense",
	[511129] = "+150 Stamina +300 Maximum HP",
	[511641] = "+5 Strength +15 Magical Attack",
	[512153] = "+63 Stamina +63 Wisdom",
	[512665] = "+384 Magical Defense",
	[512433] = "+63 Wisdom +189 Defense",
	[511642] = "+10 Strength +20 Magical Attack",
	[510107] = "+31 Physical Attack",
	[512666] = "+417 Magical Defense",
	[512431] = "+41 Wisdom +123 Defense",
	[511643] = "+15 Strength +30 Magical Attack",
	[510108] = "+40 Physical Attack",
	[512667] = "+450 Magical Defense",
	[512421] = "+41 Wisdom +205 Maximum HP",
	[511644] = "+20 Strength +50 Magical Attack",
	[510109] = "+50 Physical Attack",
	[512668] = "+12 Maximum HP",
	[512415] = "+85 Dexterity +170 Magical Attack",
	[511645] = "+30 Strength +75 Magical Attack",
	[510110] = "+63 Physical Attack",
	[512669] = "+19 Maximum HP",
	[512413] = "+63 Dexterity +126 Magical Attack",
	[511646] = "+50 Strength +100 Magical Attack",
	[510111] = "+79 Physical Attack",
	[512670] = "+27 Maximum HP",
	[512411] = "+41 Dexterity +82 Magical Attack",
	[511647] = "+75 Strength +150 Magical Attack",
	[510112] = "+95 Physical Attack",
	[512671] = "+36 Maximum HP",
	[512401] = "+41 Dexterity +205 Maximum HP",
	[511648] = "+100 Strength +200 Magical Attack",
	[510113] = "+111 Physical Attack",
	[512672] = "+47 Maximum HP",
	[512395] = "+85 Dexterity +425 Maximum MP",
	[511649] = "+150 Strength +300 Magical Attack",
	[512161] = "+41 Strength +41 Dexterity",
	[512673] = "+61 Maximum HP",
	[512393] = "+63 Dexterity +315 Maximum MP",
	[512392] = "+52 Dexterity +260 Maximum MP",
	[512162] = "+52 Strength +52 Dexterity",
	[512674] = "+76 Maximum HP",
	[512390] = "+30 Dexterity +150 Maximum MP",
	[512381] = "+41 Dexterity +123 Defense",
	[512163] = "+63 Strength +63 Dexterity",
	[512675] = "+95 Maximum HP",
	[511140] = "+2 Stamina +2 Dexterity",
	[512375] = "+85 Dexterity +255 Magical Defense",
	[512164] = "+74 Strength +74 Dexterity",
	[512676] = "+116 Maximum HP",
	[511141] = "+3 Stamina +3 Dexterity",
	[512373] = "+63 Dexterity +189 Magical Defense",
	[512165] = "+85 Strength +85 Dexterity",
	[512677] = "+142 Maximum HP",
	[511142] = "+8 Stamina +8 Dexterity",
	[512371] = "+41 Dexterity +123 Magical Defense",
	[512370] = "+30 Dexterity +90 Magical Defense",
	[512678] = "+172 Maximum HP",
	[511143] = "+10 Stamina +10 Dexterity",
	[512354] = "+74 Strength +222 Defense",
	[510120] = "+9 Defense",
	[512679] = "+208 Maximum HP",
	[511144] = "+15 Stamina +15 Dexterity",
	[512352] = "+52 Strength +156 Defense",
	[510121] = "+12 Defense",
	[512680] = "+244 Maximum HP",
	[511145] = "+20 Stamina +20 Dexterity",
	[512350] = "+30 Strength +90 Defense",
	[510122] = "+18 Defense",
	[512681] = "+280 Maximum HP",
	[511146] = "+30 Stamina +30 Dexterity",
	[512260] = "+30 Intelligence +150 Maximum MP",
	[510123] = "+24 Defense",
	[512682] = "+316 Maximum HP",
	[511147] = "+45 Stamina +45 Dexterity",
	[512254] = "+74 Intelligence +370 Maximum HP",
	[510124] = "+30 Defense",
	[512683] = "+352 Maximum HP",
	[511148] = "+60 Stamina +60 Dexterity",
	[511660] = "+3 Strength +50 Healing Power Increase Points",
	[510125] = "+39 Defense",
	[512684] = "+388 Maximum HP",
	[511149] = "+75 Stamina +75 Dexterity",
	[511661] = "+5 Strength +70 Healing Power Increase Points",
	[510126] = "+51 Defense",
	[512685] = "+424 Maximum HP",
	[512250] = "+30 Intelligence +150 Maximum HP",
	[511662] = "+10 Strength +90 Healing Power Increase Points",
	[510127] = "+66 Defense",
	[512686] = "+460 Maximum HP",
	[510106] = "+25 Physical Attack",
	[511663] = "+15 Strength +120 Healing Power Increase Points",
	[510128] = "+84 Defense",
	[512687] = "+496 Maximum HP",
	[512195] = "+85 Dexterity +85 Wisdom",
	[511664] = "+20 Strength +150 Healing Power Increase Points",
	[510129] = "+105 Defense",
	[512688] = "+12 Maximum MP",
	[512193] = "+63 Dexterity +63 Wisdom",
	[511665] = "+30 Strength +180 Healing Power Increase Points",
	[510130] = "+135 Defense",
	[512689] = "+19 Maximum MP",
	[512191] = "+41 Dexterity +41 Wisdom",
	[511666] = "+50 Strength +220 Healing Power Increase Points",
	[510131] = "+168 Defense",
	[512690] = "+27 Maximum MP",
	[512115] = "+85 Wisdom +455 Maximum MP",
	[511667] = "+75 Strength +260 Healing Power Increase Points",
	[510132] = "+201 Defense",
	[512691] = "+36 Maximum MP",
	[512155] = "+85 Stamina +85 Wisdom",
	[511668] = "+100 Strength +310 Healing Power Increase Points",
	[510133] = "+234 Defense",
	[512692] = "+47 Maximum MP",
	[512175] = "+85 Strength +85 Stamina",
	[511669] = "+150 Strength +360 Healing Power Increase Points",
	[512181] = "+41 Strength +41 Intelligence",
	[512693] = "+61 Maximum MP",
	[512173] = "+63 Strength +63 Stamina",
	[512172] = "+52 Strength +52 Stamina",
	[512182] = "+52 Strength +52 Intelligence",
	[512694] = "+76 Maximum MP",
	[512170] = "+30 Strength +30 Stamina",
	[512160] = "+30 Strength +30 Dexterity",
	[512183] = "+63 Strength +63 Intelligence",
	[512695] = "+95 Maximum MP",
	[511160] = "+3 Stamina +10 Physical Attack",
	[512152] = "+52 Stamina +52 Wisdom",
	[512184] = "+74 Strength +74 Intelligence",
	[512696] = "+116 Maximum MP",
	[511161] = "+5 Stamina +15 Physical Attack",
	[512120] = "+30 Intelligence +30 Wisdom",
	[512185] = "+85 Strength +85 Intelligence",
	[512697] = "+142 Maximum MP",
	[511162] = "+10 Stamina +20 Physical Attack",
	[512113] = "+63 Wisdom +345 Maximum MP",
	[512112] = "+52 Wisdom +290 Maximum MP",
	[512698] = "+172 Maximum MP",
	[511163] = "+15 Stamina +30 Physical Attack",
	[512110] = "+30 Wisdom +180 Maximum MP",
	[510140] = "+6 Accuracy",
	[512699] = "+208 Maximum MP",
	[511164] = "+20 Stamina +50 Physical Attack",
	[510026] = "+74 Maximum HP",
	[510141] = "+18 Accuracy",
	[512700] = "+244 Maximum MP",
	[511165] = "+30 Stamina +75 Physical Attack",
	[512100] = "+30 Dexterity +72 Physical Attack",
	[510142] = "+30 Accuracy",
	[512701] = "+280 Maximum MP",
	[511166] = "+50 Stamina +100 Physical Attack",
	[512095] = "+86 Strength +182 Physical Attack",
	[510143] = "+42 Accuracy",
	[512702] = "+316 Maximum MP",
	[511167] = "+75 Stamina +150 Physical Attack",
	[512093] = "+63 Strength +138 Physical Attack",
	[510144] = "+45 Accuracy",
	[512703] = "+352 Maximum MP",
	[511168] = "+100 Stamina +200 Physical Attack",
	[511680] = "+10 Maximum MP +10 Physical Attack",
	[510145] = "+66 Accuracy",
	[512704] = "+388 Maximum MP",
	[511169] = "+150 Stamina +300 Physical Attack",
	[511681] = "+15 Maximum MP +15 Physical Attack",
	[510146] = "+78 Accuracy",
	[512705] = "+424 Maximum MP",
	[512091] = "+41 Strength +94 Physical Attack",
	[511682] = "+20 Maximum MP +20 Physical Attack",
	[510147] = "+90 Accuracy",
	[512706] = "+460 Maximum MP",
	[512070] = "+30 Intelligence +72 Magical Attack",
	[511683] = "+30 Maximum MP +30 Physical Attack",
	[510148] = "+102 Accuracy",
	[512707] = "+496 Maximum MP",
	[510074] = "+78 Dexterity",
	[511684] = "+50 Maximum MP +50 Physical Attack",
	[510149] = "+114 Accuracy",
	[512708] = "+47 Strength +104 Physical Attack",
	[510134] = "+267 Defense",
	[510154] = "+174 Accuracy",
}